Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.pattern
Class PatternParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xml.xpath.XPathException
                  com.novell.xml.xpath.XPathParserException
                      com.novell.xsl.pattern.PatternParserException

All Implemented Interfaces:
  Serializable

    public class PatternParserException

extends XPathParserException

Exception class for XSLT Pattern Parser. This exception is thrown from com.novell.xsl.pattern.Parser when a fatal parse error occurs.

See Also:
  Serialized Form

Field Summary
`static String` | `BAD_AXIS`
`static String` | `BAD_ID_KEY`
`static String` | `NO_CURRENT_FUNC`
`static String` | `NO_VARIABLE_REFS`

Fields inherited from class com.novell.xml.xpath.XPathParserException
`AXIS_NAME_EXPECTED, EXTRA_TOKENS, FUNCTION_NOT_FOUND, MISSING_EXPRESSION, NAMESPACE_NOT_RESOLVED, NODE_TEST_EXPECTED, PRIMARY_EXPR_EXPECTED, TOKEN_EXPECTED, TOKEN_UNEXPECTED, TOO_FEW_PARAMS, TOO_MANY_PARAMS, VAR_NAME_EXPECTED, VARIABLE_NOT_FOUND, WRONG_PARAM_TYPE`

Constructor Summary
`PatternParserException(String key)` Construct an PatternParserException with the message specified by the key.
`PatternParserException(String key, char parm)` Construct an PatternParserException with the parameterized message specified by the key and single char parameter.
`PatternParserException(String key, String parm)` Construct an PatternParserException with the parameterized message specified by the key and parameter.
`PatternParserException(String key, String[] parms)` Construct an PatternParserException with the parameterized message specified by the key and parameter list.

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Get the message format string from the properties file and format the message.

Methods inherited from class com.novell.xml.xpath.XPathException
`getString, getString, getString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_VARIABLE_REFS

    public static String NO_VARIABLE_REFS

### NO_CURRENT_FUNC

    public static String NO_CURRENT_FUNC

### BAD_ID_KEY

    public static String BAD_ID_KEY

### BAD_AXIS

    public static String BAD_AXIS

Constructor Detail

### PatternParserException

    public PatternParserException(String key)

  Construct an PatternParserException with the message specified by the key.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file of this package or the XPath package properties file.

### PatternParserException

    public PatternParserException(String key,
                                  String parm)

  Construct an PatternParserException with the parameterized message specified by the key and parameter.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file of this package or the XPath package properties file.
    `parm` - The replacement string for the replacement token in the string reference by key.

### PatternParserException

    public PatternParserException(String key,
                                  String[] parms)

  Construct an PatternParserException with the parameterized message specified by the key and parameter list.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file of this package or the XPath package properties file.
    `parms` - The list of replacement strings for replacement tokens in the string reference by key.

### PatternParserException

    public PatternParserException(String key,
                                  char parm)

  Construct an PatternParserException with the parameterized message specified by the key and single char parameter.

  Parameters:
    `key` - The key of the desired message. This key must exist in the properties file of this package or the XPath package properties file.
    `parm` - The replacement parameter character string reference by key.

Method Detail

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Get the message format string from the properties file and format the message. If the message format string isn't found, try the base class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD